com.avaya.ccs.api.enums

## Enum StateReason

- java.lang.Object
- - java.lang.Enum<StateReason>
  - - com.avaya.ccs.api.enums.StateReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StateReason>

      public enum StateReason
      extends java.lang.Enum<StateReason>

  The `StateReason` enum defines the possible reasons for a state transition on an API object (for example `InteractionI` or `ResourceI`).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AcquisitionFailure` Indicates that the acquisition of the resource failed.
    `AddressRemoved` Indicates that the state change was the result of an administered address being removed from the system.
    `AssignedToUser` Indicates that the state change was the result of a resource being assigned to a user.
    `BargeIn` Indicates that the state change was a result of invocation of the `MonitoredInteractionI.bargeIn()` method.
    `BulkRecord` Indicates that the state change was the result of a bulk call recording (quality of service recording) operation.
    `Callback` Indicates that the state change was a result of a POM callback being received.
    `CallForwardImmediate` Indicates that the state change was a result of call forwarding being in effect at the destination address.
    `CallForwardNoAnswer` Indicates that the state change was a result of call forwarding being triggered due to the call not being answered.
    `CallSupervisor` Indicates that the state change was a result of a call supervisor operation invocation via `ResourceI.callSupervisor()` .
    `Cancelled` Indicates that the state change was the result of a cancel operation
    `ConferenceComplete` Indicates that the state change was a result of a conference complete operation (see `InteractionI.completeConference()`).
    `ConferenceInitiated` Indicates that the state change was a result of an initiate conference operation (see `InteractionI.initiateConference(java.lang.String)`).
    `ConsultComplete` Indicates that the state change resulted from the completion of a transfer or conference operation
    `ConsultInitiated` Indicates that the state change was a result of a consult operation when there is not enough information available to determine whether the consult was created as part of a transfer or conference operation.
    `ContextCreation` Indicates that the state change was the result of IVR context creation on an incoming Contact Center contact.
    `CTILinkDown` Indicates that the computer telephony integration (CTI) link has failed.
    `CTILinkUp` Indicates that the computer telephony integration (CTI) link has been recovered.
    `Default` Indicates the standard or default reason for state transitions.
    `DefaultTreatment` Indicates that the state change was a result of the default treatment being applied to the incoming Contact Center call.
    `DemandRecord` Indicates that the state change was the result of a record-on-demand request.
    `Denied` Indicates that a state change request was denied
    `DestinationBusy` Indicates that the state change was a result of the destination device or address being busy
    `DeviceNotConfigured` Indicates that the endpoint (physical phone or softphone) is not configured on the telephony switch.
    `DeviceNotRegistered` Indicates that the endpoint (physical phone or softphone) is not registered or logged in to the telephony switch.
    `DeviceNotSupported` Indicates that the endpoint (physical phone or softphone) or address has a configuration that is not supported.
    `DigitCollection` Indicates that the state change was the result of IVR digit collection on an incoming Contact Center contact.
    `Emergency` Indicates that the state change was a result of an emergency operation invocation via `InteractionI.emergency()`.
    `ForceDisconnect` Indicates that the state change was a result of the contact being disconnected via the Contact Center script.
    `InitiatedByAgent` Indicates that the state change or operation was initiated by the agent.
    `InitiatedBySystem` Indicates that the state change or operation was initiated by the system (service provider).
    `InsufficientResources` Indicates that there were insufficient resources available to handle a request
    `InvalidRequest` Indicates that the state change was a result of an invalid request being received (for example, an invalid destination address was supplied).
    `Join` Indicates that the state change was a result of a join operation invocation via `InteractionI.joinConference(com.avaya.ccs.api.InteractionI)`.
    `LicenseNotGranted` A required license was not granted.
    `NotReady` Indicates that the state change was the result of entering not ready
    `Observe` Indicates that the state change was a result of invocation of the `MonitoredInteractionI.observe()` method.
    `Park` Indicates that the state change was the result of the associated contact being "parked" at an address.
    `PINValidation` Indicates that the state change was the result of IVR pin validation on an incoming Contact Center contact.
    `Preview` Indicates that the state change was a result of a POM preview being received.
    `ProviderOutOfService` Indicates that the service provider for the endpoint is currently out of service.
    `Pull` Indicates that the state change was the result of a user pulling a contact.
    `Redirect` Indicates that the state change was the result of the associated incoming contact being redirected to a new address.
    `Reject` Indicates that the state change was the result of the associated incoming contact being rejected
    `RelatedResourceNotLicensed` Indicates that the state change was the result of a license for a related resource not being granted.
    `ResourceDisabled` Indicates that the resource is disabled.
    `ResourceNotFound` Indicates that the request resource could not be found.
    `Route` Indicates that the state change was the result of the associated incoming contact being routed.
    `ServerError` An error occurred within the switching platform.
    `ServiceUnavailable` A service required to process a request is not available (for example, the computer telephony integration (CTI) link is down).
    `Shutdown` Indicates that the state change was a result of the service provider being shut down.
    `SupervisorAssociation` Indicates that the state change was the result of the permissions of a resource or user changing because of a change in a users assigned Supervisor.
    `Timeout` Indicates that the state change was the result of a timeout occurring.
    `TransferComplete` Indicates that the state change was a result of a transfer complete operation (see `InteractionI.completeTransfer()`).
    `TransferInitiated` Indicates that the state change was a result of initiate transfer operation (see `InteractionI.initiateTransfer(java.lang.String)`).
    `UnassignedFromUser` Indicates that the state change was the result of a resource being unassigned from a user.
    `Unknown`
    `Whisper` Indicates that the state change was the result of `MonitoredInteractionI.whisper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StateReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StateReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Default

          public static final StateReason Default

      Indicates the standard or default reason for state transitions.

    - #### BargeIn

          public static final StateReason BargeIn

      Indicates that the state change was a result of invocation of the `MonitoredInteractionI.bargeIn()` method.

    - #### Observe

          public static final StateReason Observe

      Indicates that the state change was a result of invocation of the `MonitoredInteractionI.observe()` method.

    - #### ConsultInitiated

          public static final StateReason ConsultInitiated

      Indicates that the state change was a result of a consult operation when there is not enough information available to determine whether the consult was created as part of a transfer or conference operation.

    - #### ConsultComplete

          public static final StateReason ConsultComplete

      Indicates that the state change resulted from the completion of a transfer or conference operation

    - #### ConferenceInitiated

          public static final StateReason ConferenceInitiated

      Indicates that the state change was a result of an initiate conference operation (see `InteractionI.initiateConference(java.lang.String)`).

    - #### ConferenceComplete

          public static final StateReason ConferenceComplete

      Indicates that the state change was a result of a conference complete operation (see `InteractionI.completeConference()`).

    - #### TransferInitiated

          public static final StateReason TransferInitiated

      Indicates that the state change was a result of initiate transfer operation (see `InteractionI.initiateTransfer(java.lang.String)`).

    - #### TransferComplete

          public static final StateReason TransferComplete

      Indicates that the state change was a result of a transfer complete operation (see `InteractionI.completeTransfer()`).

    - #### Join

          public static final StateReason Join

      Indicates that the state change was a result of a join operation invocation via `InteractionI.joinConference(com.avaya.ccs.api.InteractionI)`.

    - #### CallSupervisor

          public static final StateReason CallSupervisor

      Indicates that the state change was a result of a call supervisor operation invocation via `ResourceI.callSupervisor()` .

    - #### Emergency

          public static final StateReason Emergency

      Indicates that the state change was a result of an emergency operation invocation via `InteractionI.emergency()`.

    - #### Park

          public static final StateReason Park

      Indicates that the state change was the result of the associated contact being "parked" at an address.

    - #### Redirect

          public static final StateReason Redirect

      Indicates that the state change was the result of the associated incoming contact being redirected to a new address.

    - #### Reject

          public static final StateReason Reject

      Indicates that the state change was the result of the associated incoming contact being rejected

    - #### Route

          public static final StateReason Route

      Indicates that the state change was the result of the associated incoming contact being routed.

    - #### Shutdown

          public static final StateReason Shutdown

      Indicates that the state change was a result of the service provider being shut down.

    - #### Whisper

          public static final StateReason Whisper

      Indicates that the state change was the result of `MonitoredInteractionI.whisper()`

    - #### DefaultTreatment

          public static final StateReason DefaultTreatment

      Indicates that the state change was a result of the default treatment being applied to the incoming Contact Center call.

    - #### ForceDisconnect

          public static final StateReason ForceDisconnect

      Indicates that the state change was a result of the contact being disconnected via the Contact Center script. This reason code currently only applies to non-voice contacts.

    - #### Pull

          public static final StateReason Pull

      Indicates that the state change was the result of a user pulling a contact.

    - #### DestinationBusy

          public static final StateReason DestinationBusy

      Indicates that the state change was a result of the destination device or address being busy

    - #### ServerError

          public static final StateReason ServerError

      An error occurred within the switching platform.

    - #### ServiceUnavailable

          public static final StateReason ServiceUnavailable

      A service required to process a request is not available (for example, the computer telephony integration (CTI) link is down).

    - #### CallForwardImmediate

          public static final StateReason CallForwardImmediate

      Indicates that the state change was a result of call forwarding being in effect at the destination address.

    - #### CallForwardNoAnswer

          public static final StateReason CallForwardNoAnswer

      Indicates that the state change was a result of call forwarding being triggered due to the call not being answered.

    - #### InvalidRequest

          public static final StateReason InvalidRequest

      Indicates that the state change was a result of an invalid request being received (for example, an invalid destination address was supplied).

    - #### Callback

          public static final StateReason Callback

      Indicates that the state change was a result of a POM callback being received.

    - #### Preview

          public static final StateReason Preview

      Indicates that the state change was a result of a POM preview being received.

    - #### AcquisitionFailure

          public static final StateReason AcquisitionFailure

      Indicates that the acquisition of the resource failed.

    - #### CTILinkDown

          public static final StateReason CTILinkDown

      Indicates that the computer telephony integration (CTI) link has failed. This indicates that control of the resource (telephone) is not currently possible. The endpoint (physical phone or softphone) may be used during this time to control voice calls.

    - #### CTILinkUp

          public static final StateReason CTILinkUp

      Indicates that the computer telephony integration (CTI) link has been recovered. This indicates that the system can now control the resource (telephone), although calls currently active on the set may not be available. Those existing calls may still require the use of the endpoint (physical phone or softphone) to control.

    - #### DeviceNotRegistered

          public static final StateReason DeviceNotRegistered

      Indicates that the endpoint (physical phone or softphone) is not registered or logged in to the telephony switch.

    - #### DeviceNotConfigured

          public static final StateReason DeviceNotConfigured

      Indicates that the endpoint (physical phone or softphone) is not configured on the telephony switch.

    - #### DeviceNotSupported

          public static final StateReason DeviceNotSupported

      Indicates that the endpoint (physical phone or softphone) or address has a configuration that is not supported.

    - #### LicenseNotGranted

          public static final StateReason LicenseNotGranted

      A required license was not granted.

    - #### ProviderOutOfService

          public static final StateReason ProviderOutOfService

      Indicates that the service provider for the endpoint is currently out of service.

    - #### ResourceDisabled

          public static final StateReason ResourceDisabled

      Indicates that the resource is disabled.

    - #### AddressRemoved

          public static final StateReason AddressRemoved

      Indicates that the state change was the result of an administered address being removed from the system.

    - #### NotReady

          public static final StateReason NotReady

      Indicates that the state change was the result of entering not ready

    - #### Denied

          public static final StateReason Denied

      Indicates that a state change request was denied

    - #### Cancelled

          public static final StateReason Cancelled

      Indicates that the state change was the result of a cancel operation

    - #### Timeout

          public static final StateReason Timeout

      Indicates that the state change was the result of a timeout occurring.

    - #### InsufficientResources

          public static final StateReason InsufficientResources

      Indicates that there were insufficient resources available to handle a request

    - #### BulkRecord

          public static final StateReason BulkRecord

      Indicates that the state change was the result of a bulk call recording (quality of service recording) operation.

    - #### DemandRecord

          public static final StateReason DemandRecord

      Indicates that the state change was the result of a record-on-demand request.

    - #### ResourceNotFound

          public static final StateReason ResourceNotFound

      Indicates that the request resource could not be found.

    - #### RelatedResourceNotLicensed

          public static final StateReason RelatedResourceNotLicensed

      Indicates that the state change was the result of a license for a related resource not being granted.

    - #### InitiatedByAgent

          public static final StateReason InitiatedByAgent

      Indicates that the state change or operation was initiated by the agent.

    - #### InitiatedBySystem

          public static final StateReason InitiatedBySystem

      Indicates that the state change or operation was initiated by the system (service provider).

    - #### PINValidation

          public static final StateReason PINValidation

      Indicates that the state change was the result of IVR pin validation on an incoming Contact Center contact.

    - #### DigitCollection

          public static final StateReason DigitCollection

      Indicates that the state change was the result of IVR digit collection on an incoming Contact Center contact.

    - #### ContextCreation

          public static final StateReason ContextCreation

      Indicates that the state change was the result of IVR context creation on an incoming Contact Center contact. This indicates that there may be multiple types of data populated on the call (for example, `InteractionI.getIntrinsics()`, `InteractionI.getData()`, `InteractionI.getUUI()`)

    - #### AssignedToUser

          public static final StateReason AssignedToUser

      Indicates that the state change was the result of a resource being assigned to a user.

    - #### UnassignedFromUser

          public static final StateReason UnassignedFromUser

      Indicates that the state change was the result of a resource being unassigned from a user.

    - #### SupervisorAssociation

          public static final StateReason SupervisorAssociation

      Indicates that the state change was the result of the permissions of a resource or user changing because of a change in a users assigned Supervisor.

    - #### Unknown

          public static final StateReason Unknown

  - ### Method Detail

    - #### values

          public static StateReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StateReason c : StateReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StateReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null